Vector::BLF::LinChecksumInfo(3)

NAME
Vector::BLF::LinChecksumInfo - LIN_CHECKSUM_INFO.

SYNOPSIS

#include <LinChecksumInfo.h>

Inherits Vector::BLF::ObjectHeader.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
application channel
uint8_t id {}
LIN ID.
uint8_t checksumModel {}
LIN checksum model.
uint32_t reservedLinChecksumInfo {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

Detailed Description

LIN_CHECKSUM_INFO. This info event occurs when the LIN hardware successfully detected the checksum model of an unknown frame. This checksum model is set as the expected one for this frame in the future.

Member Function Documentation

  uint32_t Vector::BLF::LinChecksumInfo::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::LinChecksumInfo::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::LinChecksumInfo::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint16_t Vector::BLF::LinChecksumInfo::channel {}

application channel Channel number where the event notified

  uint8_t Vector::BLF::LinChecksumInfo::checksumModel {}

LIN checksum model. Used checksum model. Following values are possible:

•   0: Classic

•   1: Enhanced

•   0xFF: Unknown

  uint8_t Vector::BLF::LinChecksumInfo::id {}

LIN ID. Frame identifier

  uint32_t Vector::BLF::LinChecksumInfo::reservedLinChecksumInfo {}
reserved

Author

Generated automatically by Doxygen for Vector BLF from the source code.